Subject: bug#2749: 23.0.91; Visual Line Mode: incorrect line wrapping in corner case

From: Eli Zaretskii <[email-masked]>
Date: Fri, 10 May 2013 22:31:53 +0300

> From: Stephen Berman <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Fri, 10 May 2013 21:06:15 +0200
> 
> > Do you use Org mode or any other modes (e.g., magit) that are heavy
> > users of display strings?  
> 
> I don't use either of those modes, but I have been developing a new
> version of todo-mode.el for a very long time (which I plan to submit for
> possible inclusion in Emacs, hopefully before the next pretest begins)
> and it uses before-string overlays, on the order of hundreds per buffer
> (though most are not in the visible window at any time), as well as
> word-wrap and wrap-prefix.

Before- and after-strings are much easier on the display engine than
'display' text properties and overlays with 'display' properties.

> I may be misunderstanding you here, but it sounds like you think the
> patch to enable overflow-newline-into-fringe in Visual Line mode is
> already in the trunk; it isn't.

I know.  I said "imagine" because I understand this change is not in
the repository.

> But if it were now enabled (with my patch) and your patch were also
> added (to prevent the problem I reported today), then Org and magit
> users and others will be able to see if other problems do arise.

I suspect subtle issues will be triggered by this change in modes that
make heavy use of display properties.  But if Stefan is willing to
take that risk, let's install this and see what breaks.